function [u_servo] = ACX_CalcServoCommand( servo_angle, servo_cfg )
%##########################################################################
% [u_servo] = ACX_CalcServoCommand( servo_angle, servo_cfg )
%
% Calculate the servo command based on servo angle.
%
% u_servo     : The servo command eof (0,1). [-]
%
% servo_angle : The desired servo angle. [rad]
% servo_cfg   :  Servo model parameters.
%--------------------------------------------------------------------------
% Author: Christoph Huerzeler (ASL-ETHZ)
% Date: 2011
% Email: christoph.huerzeler@mavt.ethz.ch
%##########################################################################
%#codegen

%% Calculate the desired servo signal
k1        = servo_cfg.STATIC_COEFFS(1);
k2        = servo_cfg.STATIC_COEFFS(2);
k3        = servo_cfg.STATIC_COEFFS(3);
u_servo   = k1*servo_angle^2 + k2*servo_angle + k3;


%% --- end of file