function windowed_x = SIM_ConvWindow(x,id_window)
%
%   Syntax:
%   windowed_x = SIM_ConvWindow(x,id_window)
%
%   Convolute signal with harmonic window
%
%   Authors: Kostas Alexis (konstantinos.alexis@mavt.ethz.ch)
win_length = length(id_window);
sig_length = length(x);

num_windowing = floor(sig_length/win_length);
windowed_x = x;
for k = 1:num_windowing
    breakpoint_me = 1;
    for i = 1:win_length
        windowed_x((k-1)*win_length + i) = x((k-1)*num_windowing+i)*id_window(i);
    end
end

windowed_x(((num_windowing-1)*win_length+win_length):end) = 0;

        
end