function [InputsArray,OutputsArray] = ACX_SIM_MergeExperiments(InputsArray_A,OutputsArray_A,InputsArray_B,OutputsArray_B)
%
%   Syntax:
%   [InputsArray,OutputsArray] = ACX_MergeExperiments(InputsArray_A,OutputsArray_A,InputsArray_B,OutputsArray_B)
%
%   Experiments merging
%
%   Authors: Kostas Alexis (konstantinos.alexis@mavt.ethz.ch)
%

[~,M_o_A] = size(OutputsArray_A);
M_o_A = M_o_A-1;
[~,M_i_A] = size(InputsArray_A);
M_i_A = M_i_A-1; 

[~,M_o_B] = size(OutputsArray_B);
M_o_B = M_o_B-1;
[~,M_i_B] = size(InputsArray_B);
M_i_B = M_i_B-1; 

sample_time = InputsArray_A(2,1) - InputsArray_A(1,1);
for i = 3:length(InputsArray_A(:,1))
    Ts = InputsArray_A(i,1)-InputsArray_A(i-1,1);
    if(Ts~=sample_time)
     %   cprintf('Red','Sample Time Incosistency!\n');
    %    cprintf('Red','Consider re-sampling\n');
    end
end

for i = 3:length(InputsArray_B(:,1))
    Ts = InputsArray_B(i,1)-InputsArray_B(i-1,1);
    if(Ts~=sample_time)
     %   cprintf('Red','Sample Time Incosistency!\n');
     %   cprintf('Red','Consider re-sampling\n');
    end
end


if((M_o_A~=M_o_B)||(M_i_A~=M_i_B))
    cprintf('-Red', '!Error: Experiments must have the same number of Inputs and Outputs\n');
else
    cprintf('SystemCommands','Have you detrended your data?\n');
    for i = 1:(M_o_A+1)
        if(i==1) % time vector
            OutputsArray_B(:,1) = OutputsArray_B(:,1) - OutputsArray_B(1,1);
            sample_time = OutputsArray_A(10,1)-OutputsArray_A(9,1); % sample_times must be the same
            OutputsArray_B(:,1) = OutputsArray_B(:,1) + OutputsArray_A(end,1) + sample_time;
        end
        if(i~=1)
            OutputsArray_B(1,i) = OutputsArray_B(1,i) + OutputsArray_A(end,i);
        end
        OutputsArray(:,i) = [OutputsArray_A(:,i); OutputsArray_B(:,i)];
    end
    
    for i = 1:(M_i_A+1)
        if(i==1) % time vector
            InputsArray_B(:,1) = InputsArray_B(:,1) - InputsArray_B(1,1);
            sample_time = InputsArray_A(10,1)-InputsArray_A(9,1); % sample_times must be the same
            InputsArray_B(:,1) = InputsArray_B(:,1) + InputsArray_A(end,1) + sample_time;
        end
        if(i~=1)
            InputsArray_B(1,i) = InputsArray_B(1,i) + InputsArray_A(end,i);
        end
        InputsArray(:,i) = [InputsArray_A(:,i); InputsArray_B(:,i)];
    end
end

cprintf('Blue', 'Experiments were Merged!\n');
end