function [A,B,C,D,K,x0] = SIM_PZ_SISO_SS_3PZ(par, T, aux)


%   T(s) = (s^m+a_{m-1}*s^{m-1) +...+ a_0)/(s^n + b_{n-1}*s^{n-1} +...+b_0)
%
%   ->
%
%   A = [0      1       0   ...     0;
%        0      0       1   ...     0;
%        .      .       .   .       .;
%        .      .       .    .      .;
%        .      .       .     .     .;
%       -b_0   -b_1    -b_2 ...    -b_{n-1};];
%
%   B = [0  0   ...     1]^T
%   
%   C = [a_0    a_1     ...     a_{n-1}]
%   
%   D = 0

A = [0 1 0;
     0 0 1;
     -par(1) -par(2) -par(3);];

B = [0 0 1]';

C = [par(4) 0 0];

D = [0];

K = [0; 0; 0;];

x0 = [par(5); 0; 0];