function [] = ACX_SIM_PlotXY(XY_VEL_RM,Ts)

x_ref = XY_VEL_RM.signals(1).values(:,1);
x_resp = XY_VEL_RM.signals(1).values(:,2);

y_ref = XY_VEL_RM.signals(2).values(:,1);
y_resp = XY_VEL_RM.signals(2).values(:,2);

u_ref = XY_VEL_RM.signals(3).values(:,1);
u_resp = XY_VEL_RM.signals(3).values(:,2);

v_ref = XY_VEL_RM.signals(4).values(:,1);
v_resp = XY_VEL_RM.signals(4).values(:,2);

time_vec = Ts*(1:length(x_ref)) - Ts;

fit_val_x = signal_fit(x_ref,x_resp);
fit_val_y = signal_fit(y_ref,y_resp);
fit_val_u = signal_fit(u_ref,u_resp);
fit_val_v = signal_fit(v_ref,v_resp);


subplot(4,1,1)
plot(time_vec,x_ref,'b','LineWidth',2); hold on;
plot(time_vec,x_resp,'r','LineWidth',2); grid on;
xlabel('Time (s)'); ylabel('x (m)');
legend('x_{r}',['x - Fit = ' num2str(fit_val_x)]);
subplot(4,1,2)
plot(time_vec,y_ref,'b','LineWidth',2); hold on;
plot(time_vec,y_resp,'r','LineWidth',2); grid on;
xlabel('Time (s)'); ylabel('y (m)');
legend('y_{r}',['y - Fit = ' num2str(fit_val_y)]);
subplot(4,1,3)
plot(time_vec,u_ref,'b','LineWidth',2); hold on;
plot(time_vec,u_resp,'r','LineWidth',2); grid on;
xlabel('Time (s)'); ylabel('u (m/s)');
legend('u_{r}',['u - Fit = ' num2str(fit_val_u)]);
subplot(4,1,4)
plot(time_vec,v_ref,'b','LineWidth',2); hold on;
plot(time_vec,v_resp,'r','LineWidth',2); grid on;
xlabel('Time (s)'); ylabel('v (m/s)');
legend('v_{r}',['v - Fit = ' num2str(fit_val_v)]);
end

