function [] = ACX_SIM_Plot_Yaw(YAWR,Ts)

psi_ref = YAWR.signals(1).values(:,1);
psi_resp = YAWR.signals(1).values(:,2);
fit_val_psi = signal_fit(psi_ref,psi_resp);

r_ref = YAWR.signals(2).values(:,1);
r_resp = YAWR.signals(2).values(:,2);

time_vec = Ts*(1:length(psi_ref)) - Ts;


if((max(r_ref((end-floor(length(end)/2)):end))<=1e-50)&&(min(r_ref((end-floor(length(end)/2)):end))<=1e-50));
    T_wo = 2*14.0;
    GainK = 1;
    Washout_Filter = GainK*tf([T_wo 0],[T_wo 1]);
    r_ref = lsim(Washout_Filter,psi_ref,time_vec);
end
fit_val_r = signal_fit(r_ref,r_resp);


%figure
subplot(2,1,1)
plot(time_vec,psi_ref,'b','LineWidth',2); hold on;
plot(time_vec,psi_resp,'r','LineWidth',2); grid on;
xlabel('Time (s)'); ylabel('psi (rad)');
legend('psi_{r}',['psi - Fit = ' num2str(fit_val_psi)]);
subplot(2,1,2)
plot(time_vec,r_ref,'b','LineWidth',2); hold on;
plot(time_vec,r_resp,'r','LineWidth',2); grid on;
xlabel('Time (s)'); ylabel('r (rad/s)');
legend('r_{r}',['r - Fit = ' num2str(fit_val_r)]);
end